# Gimp.Palette

    from gi.repository import Gimp

    palette = Gimp.Palette()

Installable object, a small set of colors a user can choose from.

## Hierarchy

- GObject.Object
  - Gimp.Resource
    - Gimp.Palette

## Methods

- Gimp.Palette.add_entry
- Gimp.Palette.delete_entry
- Gimp.Palette.get_color_count
- Gimp.Palette.get_colormap
- Gimp.Palette.get_colors
- Gimp.Palette.get_columns
- Gimp.Palette.get_entry_color
- Gimp.Palette.get_entry_name
- Gimp.Palette.set_colormap
- Gimp.Palette.set_columns
- Gimp.Palette.set_entry_color
- Gimp.Palette.set_entry_name

## Static Functions

- Gimp.Palette.get_by_name